


# This tags this entity with BED_ZONE_IS_NOT_NEAR
# if there isn't a bed zone nearby. This is so
# this player doesn't respawn if there aren't any beds.
execute unless entity @e[tag=BED_ZONE,limit=1,sort=nearest,distance=..150] run tag @s add BED_ZONE_IS_NOT_NEAR

# Death Message
tellraw @a [{"selector":"@s","color":"white"},{"text":" has been slain by ","color":"white"},{"selector":"@a[limit=1,sort=nearest]","color":"white"}]

# If entity HAS died before, just kill and return 0
execute as @s[tag=HAS_DIED_1] run kill @s
execute as @s[tag=HAS_DIED_1] run return 0

# This is so this player doesn't respawn if there aren't any beds.
execute as @s[tag=BED_ZONE_IS_NOT_NEAR] run kill @s
execute as @s[tag=BED_ZONE_IS_NOT_NEAR] run return 0




# VFX for the death
playsound entity.player.hurt ambient @a[distance=..15] ~ ~1 ~ 5 1
function faction:entity_cmds/fake_player/death_cmds/entity_cmds/summon

# Spawn loot as if the fplayer has been killed for real.
execute if block ~ ~ ~ #faction:walkthrough run loot spawn ~ ~ ~ kill @s 

# Teleport to the nearest "bed" 
tp @s @e[tag=BED_ZONE,limit=1,sort=nearest,distance=..150]

# Delete the armor and the loot table is set to empty
data merge entity @s {ArmorItems:[{id:"minecraft:bedrock",count:1},{id:"minecraft:bedrock",count:1},{id:"minecraft:bedrock",count:1},{id:"minecraft:turtle_helmet",count:1}],ArmorDropChances:[0.000F,0.000F,0.000F,0.000F]}
data merge entity @s {DeathLootTable:"faction:entities/empty"}

# This tag allows the game to tell whether this function has been
# executed before or not
tag @s add HAS_DIED_1

data merge entity @s {HandItems:[{id:"minecraft:air",count:1},{}]}

# Change the AI to be Generic
tag @s remove AI_Health_Smart
tag @s remove AI_Guard_Post
tag @s add AI_Generic

# Change this entity's health to the regular 20f
effect give @s instant_damage 1 255 true
attribute @s generic.max_health base set 40.0
data merge entity @s {Health:40}
