#   - The spells books will target the player and choose between 
#       random attacks:
#           1. Spark Bolt: Generic Damage Spell. 
#           2. Gale bolt: Upon impact, levitates closest opponent.
#           3. Chill bolt: Upon impact, slightly slows opponents in a small area.
#           



scoreboard players add @s Boss_Sb_1 1

function faction:entity/abilities/mage/passive/ability/book_cmds/vfx

# Choose the Casting Time to execute the spell (Round 1)
execute as @s[scores={Boss_Sb_1=1}] run execute store result score @s Boss_Sb_2 run random value 40..60

# Choose the Type of Spell
execute as @s[scores={Boss_Sb_1=1}] run execute store result score @s Boss_Sb_3 run random value 1..3

# Teleport to a random position
execute as @s[scores={Boss_Sb_1=1}] run function faction:entity/abilities/mage/passive/ability/book_cmds/tp_func

# Prevent it from spawning in a non-air block
execute as @s[scores={Boss_Sb_1=5}] unless block ~ ~ ~ #faction:walkthrough run function faction:kill


# (summon) _CAST CMDS
execute as @s[scores={Boss_Sb_1=6}] run particle minecraft:portal ~ ~ ~ 0 0 0 0.5 15
execute as @s[scores={Boss_Sb_1=6}] run particle minecraft:reverse_portal ~ ~ ~ 0 0 0 0.5 15
execute as @s[scores={Boss_Sb_1=6}] run playsound minecraft:block.trial_spawner.spawn_item_begin ambient @a[distance=..15] ~ ~ ~ 15 0.75


# Make the book visible
execute as @s[scores={Boss_Sb_1=6}] run data merge entity @s {item:{id:"minecraft:book",count:1}}


# Cast the Spell when the main scoreboard matches the Casting Time (Boss_Sb_2)
execute if score @s Boss_Sb_1 = @s Boss_Sb_2 run function faction:entity/abilities/mage/passive/ability/book_cmds/cast

# Remove entity
execute as @s[scores={Boss_Sb_1=120..}] run function faction:entity/abilities/mage/passive/ability/book_cmds/disappear
