


# Particle Effects
execute if entity @a[distance=..25] run particle portal ~ ~1 ~ 0 1.5 0 0.15 15 normal @a 
execute if entity @a[distance=..25] run particle portal ~ ~1 ~ 1.5 1.5 1.5 0.15 15 normal @a 
execute if entity @a[distance=..25] run particle effect ~ ~1 ~ 0 1.5 0 0.15 5 normal @a 


# Give nearby items a red particle and do /particle whenever an 
# item is nearby to show players that items block the portal from working.
execute as @e[type=item,distance=..8] at @s run particle dust{color:[1.0,0.14,0.14],scale:1} ~ ~.15 ~ 0.1 0.1 0.1 0 3 normal @a 
execute if entity @e[type=item,distance=..8] run particle dust{color:[1.0,0.14,0.14],scale:1} ~ ~1 ~ 0 1.5 0 0.15 5


# Tags players with the TAG that displays vfx for teleported entities
# Will not work on Creative or Spectator Gamemodes
# Will not work if an item is nearby
execute unless entity @e[type=item,distance=..8] run tag @a[distance=..3.5,nbt=!{playerGameType:1},nbt=!{playerGameType:3}] add BOSSDUNGS_TeleportedEntity


# Teleport Cmds
# Will not work on Creative or Spectator Gamemodes
# Will not work if an item is nearby
execute unless entity @e[type=item,distance=..8] run tp @a[distance=..3.5,nbt=!{playerGameType:1},nbt=!{playerGameType:3}] @e[tag=BOSSDUNGS_TELEPORTER,tag=INPUT,limit=1,sort=nearest,distance=..75]



