

scoreboard players add @s WorldGen_Timer_1 1


execute as @s[scores={WorldGen_Timer_1=1}] run tp @s 0 -12 0


# execute as @s[scores={WorldGen_Timer_1=2}] run function faction:worldgen/deletion/flatten_big



execute as @s[scores={WorldGen_Timer_1=3}] run function faction:worldgen/step3/poi/quarry/place_chunks


execute as @s[scores={WorldGen_Timer_1=1..40}] run execute as @e[type=item,predicate=faction:quarry_vanishing_range] at @s run tag @e[type=item,distance=..15] add STRUCT__ItemRemoval
execute as @s[scores={WorldGen_Timer_1=1..40}] run execute as @e[type=player,predicate=faction:quarry_vanishing_range,nbt={playerGameType:0}] at @s run tag @s add STRUCT__EntityKeepOut
execute as @s[scores={WorldGen_Timer_1=1..40}] run execute as @e[type=player,predicate=faction:quarry_vanishing_range,nbt={playerGameType:2}] at @s run tag @s add STRUCT__EntityKeepOut

execute as @s[scores={WorldGen_Timer_1=1..40}] run function faction:worldgen/step3/poi/quarry/vanishing_vfx


execute as @s[scores={WorldGen_Timer_1=1}] run execute as @e[type=player,predicate=faction:prevent_center_feature_range] at @s run playsound block.respawn_anchor.charge ambient @a[distance=..50] ~ ~12 ~ 5 0
execute as @s[scores={WorldGen_Timer_1=40}] run execute as @e[type=player,predicate=faction:prevent_center_feature_range] at @s run playsound entity.enderman.teleport ambient @a[distance=..50] ~ ~12 ~ 5 1




execute as @s[scores={WorldGen_Timer_1=4}] run function faction:worldgen/step3/poi/quarry/establish

execute as @s[scores={WorldGen_Timer_1=5}] run function faction:worldgen/step3/poi/quarry/carve_layers

execute as @s[scores={WorldGen_Timer_1=5..9}] run function faction:worldgen/step3/poi/quarry/place_sparse_cobble_spread

execute as @s[scores={WorldGen_Timer_1=9}] run function faction:worldgen/step3/poi/quarry/place_terrain
execute as @s[scores={WorldGen_Timer_1=9}] run function faction:worldgen/step3/poi/quarry/place_outer_grass
execute as @s[scores={WorldGen_Timer_1=9}] run function faction:worldgen/step3/poi/quarry/place_outer_grass
execute as @s[scores={WorldGen_Timer_1=9}] run function faction:worldgen/step3/poi/quarry/place_outer_grass

execute as @s[scores={WorldGen_Timer_1=10}] run function faction:worldgen/step3/poi/quarry/erode_layers

execute as @s[scores={WorldGen_Timer_1=15}] run function faction:worldgen/step3/poi/quarry/place_ore_deco



# Wooden Platforms
execute as @s[scores={WorldGen_Timer_1=11}] run summon marker -1 -16 -21 {Tags:[POI_QuarryMarker_Platform,NORTH]}
execute as @s[scores={WorldGen_Timer_1=11}] run summon marker -1 -16 19 {Tags:[POI_QuarryMarker_Platform,SOUTH]}
execute as @s[scores={WorldGen_Timer_1=11}] run summon marker -21 -16 -1 {Tags:[POI_QuarryMarker_Platform,WEST]}
execute as @s[scores={WorldGen_Timer_1=11}] run summon marker 19 -16 -1 {Tags:[POI_QuarryMarker_Platform,EAST]}

execute as @s[scores={WorldGen_Timer_1=11}] run summon marker 8 -20 -10 {Tags:[POI_QuarryMarker_Platform,NORTH]}
execute as @s[scores={WorldGen_Timer_1=11}] run summon marker -10 -20 9 {Tags:[POI_QuarryMarker_Platform,SOUTH]}


# This places the plateaus in the outskirts of the quarry
execute as @s[scores={WorldGen_Timer_1=11}] run function faction:worldgen/step3/poi/quarry/place_outer_terrain



# Place minerals
execute as @s[scores={WorldGen_Timer_1=16..24}] run summon marker 0 -12 0 {Tags:[POI_QuarryMarker_QuarryFeature,MINERAL_ROCK]}
execute as @s[scores={WorldGen_Timer_1=16..24}] run summon marker 0 -12 0 {Tags:[POI_QuarryMarker_QuarryFeature,MINERAL_ROCK]}
execute as @s[scores={WorldGen_Timer_1=16..24}] run summon marker 0 -12 0 {Tags:[POI_QuarryMarker_QuarryFeature,MINERAL_ROCK]}


# Place Lanterns
execute as @s[scores={WorldGen_Timer_1=16..24}] run summon marker 0 -12 0 {Tags:[POI_QuarryMarker_QuarryFeature,LANTERN]}
execute as @s[scores={WorldGen_Timer_1=16..24}] run summon marker 0 -12 0 {Tags:[POI_QuarryMarker_QuarryFeature,LANTERN]}
execute as @s[scores={WorldGen_Timer_1=16..24}] run summon marker 0 -12 0 {Tags:[POI_QuarryMarker_QuarryFeature,LANTERN]}


execute as @s[scores={WorldGen_Timer_1=40}] run function faction:other_features/chat/quarry

# When the EVENT_Sb_1 hits 5 (which means 5 days have passed, a Supply Drop Event will spawn)
execute as @s[scores={WorldGen_Timer_1=40,EVENT_Sb_1=5..}] run function faction:event/sdrop/_start_event
execute as @s[scores={WorldGen_Timer_1=40,EVENT_Sb_1=1..4},predicate=faction:25per] run function faction:event/merchant/_start_event

execute as @s[scores={WorldGen_Timer_1=40..},predicate=faction:quarry_reset_time] run function faction:worldgen/step3/poi/quarry/_restart_sbs
# execute as @s[scores={WorldGen_Timer_1=40..}] run function faction:kill





