



scoreboard players add @s[tag=!STOP_GENERATION] StructGen_Timer_1 1

# particle cloud ~ ~7 ~ 0 5 0 0 150 force @a




execute as @s[scores={StructGen_Timer_1=1}] run function faction:worldgen/struct/placement/clan_bases/set_clan_name



# Assigns the number for the warning
execute as @s[scores={StructGen_Timer_1=1}] run scoreboard players set @s Number_1200 1200

# Generate a Random Time for Renewal of the Structure
execute as @s[scores={StructGen_Timer_1=2}] run execute store result score @s StructGen_Var_1 run random value 12000..24000
# execute as @s[scores={StructGen_Timer_1=2}] run execute store result score @s StructGen_Var_1 run random value 400..401

# Sets the timer for the warning particles to spawn
execute as @s[scores={StructGen_Timer_1=3}] run execute store result score @s StructGen_WarningVar run scoreboard players operation @s StructGen_Var_1 -= @s Number_1200


# Tags nearby items to be removed
execute as @s[scores={StructGen_Timer_1=1..100}] run execute as @e[type=item,distance=..15] at @s run tag @e[type=item,distance=..15] add STRUCT__ItemRemoval

# Tag nearby CLAN_BASE_ENTITY to be removed
execute as @s[scores={StructGen_Timer_1=1..100}] run execute as @e[tag=CLAN_BASE_ENTITY,tag=CLAN_BASE_READY_FOR_DELETION,distance=..20] at @s run tag @s add STRUCT__ItemRemoval


# KILL NAME MARKER
execute as @s[scores={StructGen_Timer_1=1..58}] run kill @e[tag=STRUCT__ClanBaseMarker_NAME,limit=3,sort=nearest,distance=..25]
# SUMMON THE NAME MARKER
execute as @s[scores={StructGen_Timer_1=101,ClanBaseId=..10}] run summon marker ~ ~ ~ {Tags:["STRUCT__ClanBaseMarker_NAME"],CustomName:'"Astralborn"'}


execute as @s[scores={StructGen_Timer_1=1..58}] run kill @e[tag=TELEPORT_ZONE,limit=100,sort=nearest,distance=..45]
execute as @s[scores={StructGen_Timer_1=1..100}] run execute as @e[tag=TELEPORT_ZONE,distance=..25.0] at @s run execute as @e[tag=CLAN_BASE_ENTITY,tag=CLAN_BASE_READY_FOR_DELETION,distance=..20] at @s run tag @s add STRUCT__ItemRemoval
execute as @s[scores={StructGen_Timer_1=1..100}] positioned ~ ~20 ~ run execute as @e[tag=TELEPORT_ZONE,distance=..25.0] at @s run execute as @e[tag=CLAN_BASE_ENTITY,tag=CLAN_BASE_READY_FOR_DELETION,distance=..20] at @s run tag @s add STRUCT__ItemRemoval


# These are particle and sound effects that depend on how close a player is 
execute as @s[scores={StructGen_Timer_1=1..100}] if entity @a[distance=..50] run function faction:worldgen/struct/placement/clan_bases/vanishing_vfx
execute as @s[scores={StructGen_Timer_1=1..100}] unless entity @a[limit=1,sort=nearest,distance=..50] run function faction:worldgen/struct/placement/clan_bases/vanishing_vfx_from_afar


# Tags players in survival and adventure mode to be teleported away
execute as @s[scores={StructGen_Timer_1=1..100}] run execute as @e[type=player,distance=..15,nbt={playerGameType:0}] at @s run tag @s add STRUCT__EntityKeepOut
execute as @s[scores={StructGen_Timer_1=1..100}] run execute as @e[type=player,distance=..15,nbt={playerGameType:2}] at @s run tag @s add STRUCT__EntityKeepOut

# ACTIVATE THE ARMORSTANDS
# execute as @s[scores={StructGen_Timer_1=101}] run execute as @e[tag=CLAN_BASE_ARMST,distance=..15] at @s run tag @s add ACTIVATE



execute as @s[scores={StructGen_Timer_1=30}] run execute positioned ~-11.5 ~ ~-11.5 run function faction:worldgen/struct/placement/clan_bases/clear_area
execute as @s[scores={StructGen_Timer_1=31}] run execute positioned ~-11.5 ~ ~-11.5 run fill ~ ~ ~ ~23 ~ ~23 grass_block


execute as @s[scores={StructGen_Timer_1=59}] run execute positioned ~-11.5 ~ ~-11.5 run function faction:worldgen/struct/placement/clan_bases/place_struc


# execute as @s[scores={StructGen_Timer_1=60}] run fill ~ ~ ~ ~23 ~ ~23 grass_block replace air
execute as @s[scores={StructGen_Timer_1=64}] run function faction:worldgen/struct/placement/clan_bases/place_grass

execute as @s[scores={StructGen_Timer_1=65}] run function faction:worldgen/struct/placement/clan_bases/choose_clan/_choose

# Chat MSG
execute as @s[scores={StructGen_Timer_1=65}] run function faction:other_features/chat/clan_base


# Cmds to do when close to renewal
execute if score @s StructGen_Timer_1 > @s StructGen_WarningVar run function faction:worldgen/struct/placement/clan_bases/warning_vfx
# execute as @s[tag=!HAS_NOT_SHIFTED] run execute if score @s StructGen_Timer_1 > @s StructGen_WarningVar run function faction:worldgen/struct/placement/clan_bases/warning_vfx


# execute if score @s StructGen_Timer_1 = @s StructGen_Var_1 run tag @s remove HAS_NOT_SHIFTED
execute if score @s StructGen_Timer_1 = @s StructGen_Var_1 run function faction:worldgen/struct/placement/clan_bases/_shift_structure
# execute as @s[scores={StructGen_Timer_1=300..}] run scoreboard players set @s StructGen_Timer_1 0
# execute as @s[scores={StructGen_Timer_1=300..}] run function faction:kill